package d1.core;

import java.io.Serializable;
import java.util.Date;

/**
 * only here as our minimal event; moved to one side yet preserved for history.
 */
public class Event2 implements Serializable {
    private int id;
    private Date date;
    private String name;
    private String text;

    public Event2() {
    }

    public Event2(int id, Date date, String name, String text) {
        this.id = id;
        this.date = date;
        this.name = name;
        this.text = text;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String toString() {
        return "Event #" +
                id +
                (date != null ? date.toString() : "(no date)")
                + (text != null ? text : "");
    }

}
