package d1.webapp.config;

import d1.persist.session.CalendarCreator;
import d1.persist.session.CalendarSession;

/**
 * this is what classes bind to in the source. They relay to the
 * CalendarCreator which is fully dynamic. Why have it then? To avoid
 * detailing how we do dynamic calendar binding.
 *
 */
public final class JBoss4Calendar {


    private JBoss4Calendar() {
    }

    public static CalendarSession getSession() {
        return CalendarCreator.getSession();
    }
}
