
package d1.webapp.test;

import com.meterware.httpunit.WebResponse;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

/**
 * test the event feeds
 */
public class EventFeedTest extends WebTestBase {

    public EventFeedTest(String name) {
        super(name);
    }

    public void testFeedDefault() throws Throwable {
        WebResponse feedData = getPage("/feed/");
        Document dom = feedData.getDOM();
        Element doc = dom.getDocumentElement();
    }

    /**
     * This does not work right because the XML parser that
     * HttpUnit is using somehow strips out all xml namespace information
     * @throws Throwable
     */
    public void NotestFeedAtom10() throws Throwable {
        WebResponse feedData = getPage("/feed/");
        Document dom = feedData.getDOM();
        Element doc = dom.getDocumentElement();
        NodeList list =
                doc.getElementsByTagNameNS("http://www.w3.org/2005/Atom", "feed");
        assertEquals(1,list.getLength());
    }

}
