package org.antbook.apachecon;

import java.io.InputStream;
import java.io.IOException;

/** An input stream that creates a random source of data */
public class RandomInputStream extends InputStream {

    private long size;
    private long seed;


    public RandomInputStream(long size, long seed) {
        this.size = size;
        this.seed = seed;
    }

    public synchronized int read() throws IOException {
        if (size <= 0) {
            return -1;
        }
        size--;
        return 'a';
    }
}
