package org.antbook.apachecon;

import org.apache.tools.ant.types.ResourceCollection;
import org.apache.tools.ant.types.Resource;
import org.apache.tools.ant.types.resources.Union;
import org.apache.tools.ant.Task;
import org.apache.tools.ant.Project;

import java.util.Iterator;

/**

 */
public class ResourceCount extends Task {
    private Union resources = new Union();

    public void add(ResourceCollection rc) {
        resources.add(rc);
    }

    public void execute() {
        int count = 0;
        Iterator element = resources.iterator();
        while (element.hasNext()) {
            Resource resource = (Resource) element.next();
            log(resource.toString(), Project.MSG_VERBOSE);
            count++;
        }
        log("count="+count);
    }
}