package org.antbook.tasks;
import org.apache.tools.ant.Task;
import java.util.List;
import java.util.ArrayList;

public class CustomNestedTask extends Task {
    private List<NestedElement> nested=
            new ArrayList<NestedElement>();

    public NestedElement createNested() {
        NestedElement nestedElement =new NestedElement("#" +
                                            nested.size());
        nested.add(nestedElement);
        return nestedElement;
    }

    public void execute() {
        for(NestedElement element:nested) {
            log(element.getValue());
        }
    }

    public static class NestedElement {
        private String value;
        NestedElement(String value) {
            this.value = value;
        }
        public String getValue() {
            return value;
        }
        public void setValue(String value) {
            this.value = value;
        }
    }
}
