package org.antbook.tasks;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.DynamicAttribute;
import java.util.HashMap;

public class DynaTask extends Task implements DynamicAttribute {
    private HashMap<String, String> attributes =
                new HashMap<String, String>();

    public void setDynamicAttribute(String name, String value) {
        attributes.put(name, value);
    }

    public void execute() {
        for (String name : attributes.keySet()) {
            log(name + " = " + attributes.get(name));
        }
    }
}
