package org.antbook.tasks;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.types.FileSet;
import org.apache.tools.ant.types.Path;

import java.util.Vector;
import java.util.List;
import java.util.ArrayList;

public class NestedTask extends Task {

    private List<FileSet> filesets = new ArrayList<FileSet>();

    public void addFileset(FileSet fileset) {
        filesets.add(fileset);
    }

    public Path createClasspath() {
        Path p=new Path(getProject());
        return p;
    }

    public void execute() {
        log("# filesets = " + filesets.size());
    }

}
