
package org.antbook.conditions;

import org.apache.tools.ant.taskdefs.condition.ConditionBase;
import org.apache.tools.ant.taskdefs.condition.Condition;
import java.util.Enumeration;

public class CountConditions extends ConditionBase {

    public void execute() {
        int passes=0;
        int failures=0;
        Enumeration conds = getConditions();
        while (conds.hasMoreElements()) {
            Condition c = (Condition) conds.nextElement();
            boolean pass=c.eval();
            if(pass) {
                passes++;
            } else {
                failures++;
            }
        }
        log("Conditions passing: "+passes+" failing: "+failures);
    }
}
