package org.antbook.filters;

import org.apache.tools.ant.filters.BaseFilterReader;
import org.apache.tools.ant.filters.ChainableReader;
import java.io.Reader;
import java.io.IOException;

public class ToUpperFilter extends BaseFilterReader
    implements ChainableReader {

    public ToUpperFilter() {
    }

    public ToUpperFilter(final Reader in) {
        super(in);
    }

    public Reader chain(Reader rdr) {
        ToUpperFilter filter=new ToUpperFilter(rdr);
        filter.setProject(getProject());
        return filter;
    }

    public int read() throws IOException {
        int ch=super.read();
        return Character.toUpperCase(ch);
    }
}
