REM @echo off
REM  Copyright 2001,2004 The Apache Software Foundation
REM
REM  Licensed under the Apache License, Version 2.0 (the "License");
REM  you may not use this file except in compliance with the License.
REM  You may obtain a copy of the License at
REM
REM      http://www.apache.org/licenses/LICENSE-2.0
REM
REM  Unless required by applicable law or agreed to in writing, software
REM  distributed under the License is distributed on an "AS IS" BASIS,
REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM  See the License for the specific language governing permissions and
REM  limitations under the License.

REM this is a WinNT .CMD file to start our diary
REM it is based on the ANT startup script, without the support for win9x
REM if you are still using win9x, please upgrade your OS from suse.de, 
REM redhat.com or http://debian.org/ :)

rem to exit: GOTO :EOF
setlocal
rem %~dp0 is expanded pathname of the current script under NT
set _HOME=%~dp0

rem Slurp the command line arguments. This loop allows for an unlimited number
rem of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=%1
if ""%1""=="""" goto doneStart
shift
:setupArgs
if ""%1""=="""" goto doneStart
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto setupArgs
:doneStart
rem need to do version fixup here
java -jar "%_HOME%\..\dist\diary-core-0.1alpha.jar"  %CMD_LINE_ARGS%


:end
endlocal

