package d1.core;

import java.util.Collections;
import java.util.LinkedList;

/**
 * An event list is a list of events. It may be ordered, if so sorted, it may
 * be within a range
 */
public class EventList extends LinkedList<Event> {


    /**
     * Sort this list by date
     */
    void sortByDate() {
        Collections.sort(this, new DateOrder());
    }


}
