package d1.core.test;

import d1.core.Event;
import junit.framework.TestCase;

import java.util.Date;
import java.util.UUID;

/**

 */
public class LessSimpleTest extends TestCase {

    public LessSimpleTest(String s) {
        super(s);
    }

    public void testAssignment() {
        Date date = new Date();
        Event event = new Event(UUID.randomUUID(),
            date, "now", "Text");
        String eventinfo = event.toString();
        System.out.println(eventinfo);
        assertTrue("Event.name in toString() " + eventinfo,
            eventinfo.contains("now"));
    }

    public void testAssignmentWithOutput() {
        final Date date = new Date();
        Event event = new Event(UUID.randomUUID(),
            date, "now", "Text");
        System.out.println("Hi");
        assertEquals("self equality failed", event, event);
        assertEquals("date not retained", date, event.getDate());
    }

    public void testTwo() {
        final Date date = new Date();
        Event event = new Event(UUID.randomUUID(),
            date, "now", "Text");
        Event event2 = new Event(UUID.randomUUID(),
            date, "then", "Text");
        assertFalse("equality failed", event.equals(event2));
    }

}
