package d1.webapp.test.cactus;

import org.apache.cactus.ServletTestCase;
import d1.webapp.FindClass;

/**
 * This  uses dir lookup to locate things.
 *
 * A lot of these tests will fail on non-JBoss systems
 */
public class LdapLookupTest extends ServletTestCase {


    public LdapLookupTest(String string) {
        super(string);
    }

    public void testDefaultDS() throws Exception {
        FindClass.ldapLookup("java:/DefaultDS");
    }

    public void testDiaryDS() throws Exception {
        FindClass.ldapLookup("java:/DiaryDS");
    }

    public void testEJB3() throws Exception {
        FindClass.ldapLookup("java:/comp.ejb3");
    }

    public void testDiaryEntityManager() throws Exception {
        FindClass.ldapLookup("java:/DiaryEntityManager");
    }

    public void testDiaryEntityManagerFactory() throws Exception {
        FindClass.ldapLookup("java:/DiaryEntityManagerFactory");
    }

    public void testDiary() throws Exception {
        FindClass.ldapLookup("diary");
    }

    public void testDiaryCalendarSessionBean() throws Exception {
        FindClass.ldapLookup("diary/CalendarSessionBean");
    }

    public void testDiaryCalendarSessionBeanLocal() throws Exception {
        FindClass.ldapLookup("diary/CalendarSessionBean/local");
    }

}
