package d1.persist.session;

import d1.persist.Event;

import java.util.Date;
import java.util.UUID;

/**
 */
public class CalendarHelper {

    private CalendarSession calendar;

    public CalendarHelper(CalendarSession calendar) {
        this.calendar = calendar;
    }

    /**
     * Create some events in the database, if they are not already there
     */
    public void populateEvents() {
        for (int year = 2006; year < 2009; year++) {
            Event event = new Event(UUID.randomUUID(),
                    new Date(year - 1900, 12, 31),
                    "New Year's eve " + year,
                    "Last night of the year " + year);
            calendar.addOrUpdate(event);
        }
    }
}
