package d1.persist.test;

import d1.persist.PersistTools;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

/**
 */
public class PersistToolsTest extends PersistenceTestBase {


    public PersistToolsTest(String s) {
        super(s);
    }



    public void testEntityManagerFactory() throws Exception {
        EntityManagerFactory factory;
        factory = PersistTools.createEntityManagerFactory(settings);
        assertNotNull(factory);
        try {
            EntityManager manager = factory.createEntityManager();
            manager.close();
        } finally {
            factory.close();
        }
    }
}
