<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">
 <xsl:output method="html" encoding="us-ascii"/>
  
 <xsl:template match="/constants">
  <html>
  <head><title>Constants</title></head>
  <body>
    <h1>Constants</h1>
    <h2>URIs</h2>
    <table>
        <xsl:apply-templates select="uri"/>
    </table>
    <h2>Strings</h2>
    <table>
        <xsl:apply-templates select="string"/>
    </table>
  </body>
  </html>
 </xsl:template>
  
 <xsl:template match="uri|string">
  <tr>
    <td><code>
      <xsl:value-of select="@name"/>
    </code></td>
    <td><code>
      <xsl:value-of select="@value"/>
    </code></td>
    <td>
    <xsl:value-of select="description"/>
    </td>
  </tr>
 </xsl:template>

</xsl:stylesheet>
