package org.antbook.apachecon;

import org.apache.tools.ant.types.Resource;

import java.io.IOException;
import java.io.InputStream;

/**

 */
public class RandomResource extends Resource
    implements Cloneable {

    private long length =10,seed=0;

    public boolean isExists() {
        return true;
    }

    public long getLastModified() {
        return UNKNOWN_DATETIME;
    }


    public void setLength(long length) {
        this.length = length;
    }

    public void setSeed(long seed) {
        this.seed = seed;
    }

    public InputStream getInputStream() throws IOException {
        if (isReference()) {
            RandomResource that;
            that = (RandomResource) getCheckedRef();
            return that.getInputStream();
        } else {
            //TODO
            return new RandomInputStream(length,seed);
        }
    }


}