package org.antbook.tasks;

import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

public class ConditionalFailTask extends Task {
    private boolean failOnError = true;

    public void setFailOnError(boolean failOnError) {
        this.failOnError = failOnError;
    }

    public void execute() throws BuildException {
        if (failOnError) {
            throw new BuildException("oops!");
        }
        log("success");
    }
}
