package org.antbook.tasks;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.DynamicAttributeNS;

import javax.xml.namespace.QName;
import java.util.HashMap;

public class DynaTaskNS extends Task implements DynamicAttributeNS {
    private HashMap<QName, String> params = 
                new HashMap<QName, String>();

    public void setDynamicAttribute(String xmlns,
                                    String localName,
                                    String qName,
                                    String value) {
        QName qname = new QName(xmlns, localName);
        params.put(qname, value);
    }

    public void execute() {
        for (QName name : params.keySet()) {
            log(name + " = " + params.get(name));
        }
    }
}