package org.antbook.tasks;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.types.EnumeratedAttribute;

public class EnumTask extends Task {

    private Day day;

    public EnumTask() {
        day=new Day();
        day.setValue("sun");
    }

    public void setDay(Day day) {
        this.day = day;
    }

    public void execute() {
        log("the day is " + day.getValue());
        log("the day index is " + day.getIndex());
    }

    public static class Day 
            extends EnumeratedAttribute {

        public String[] getValues() {
            return new String[] {
                "sun", "mon","tue",
                "wed","thu","fri","sat"};
        }
    }
   
}
