package org.antbook.tasks;

import org.apache.tools.ant.Task;

import java.util.ArrayList;
import java.util.List;

public class ParamTask extends Task {
    private List<Param> params = new ArrayList<Param>();

    public Param createParam() {
        Param p = new Param();
        params.add(p);
        return p;
    }

    public void execute() {
        for(Param p:params) {
            log(p.getName() + " = " + p.getValue());
        }
    }

    public static class Param {
        private String name;
        private String value;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
}