
package org.antbook.mappers;

import org.apache.tools.ant.util.FileNameMapper;

import java.util.Locale;

/**

 */
public class ToUpperMapper implements FileNameMapper {


    /**
     * Ignored.
     *
     * @param from ignored.
     */
    public void setFrom(String from) {
    }

    /**
     * Ignored.
     *
     * @param to ignored.
     */
    public void setTo(String to) {
    }

    /**
     * Returns an one-element array containing the source file name without any
     * leading directory information.
     *
     * @param sourceFileName the name to map.
     * @return the file name in a one-element array.
     */
    public String[] mapFileName(String sourceFileName) {
        return new String[] {
            sourceFileName.toUpperCase(Locale.ENGLISH)
        };
    }
}
